using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Chart;

namespace OpenExcel
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            String[] myArr = new String[] { "Jan  09", "Feb  09", "March  09", "April 09", " May 09", "June 09", "July 09" };
            
            FarPoint.Win.Chart.BarSeries series1 = new FarPoint.Win.Chart.BarSeries();
            FarPoint.Win.Chart.BarSeries series2 = new FarPoint.Win.Chart.BarSeries();
            FarPoint.Win.Chart.BarSeries series3 = new FarPoint.Win.Chart.BarSeries();

            series1.SeriesName = "Sales";
            series1.Values.Add(3212.0);
            series1.Values.Add(114.0);
            series1.Values.Add(233.0);
            series1.Values.Add(5123.0);
            series1.Values.Add(343.0);
            series1.Values.Add(534.0);
            series1.Values.Add(7854.0);
            for (int i = 0; i < myArr.Length; i++)
                series1.CategoryNames.Add(myArr[i]);

            series2.SeriesName = "COGS";
            series2.Values.Add(1232.0);
            series2.Values.Add(234.0);
            series2.Values.Add(233.0);
            series2.Values.Add(1235.0);
            series2.Values.Add(233.0);
            series2.Values.Add(1235.0);
            for (int i = 0; i < myArr.Length; i++)
                series2.CategoryNames.Add(myArr[i]);

            series3.SeriesName = "Net Profit";
            series3.Values.Add(232.0);
            series3.Values.Add(4123.0);
            series3.Values.Add(123);
            series3.Values.Add(512.0);
            series3.Values.Add(1243);
            series3.Values.Add(5342.0);
            for (int i = 0; i < myArr.Length; i++)
                series3.CategoryNames.Add(myArr[i]);

            FarPoint.Win.Chart.ClusteredBarSeries series = new FarPoint.Win.Chart.ClusteredBarSeries();
            series.Series.Add(series1);
            series.Series.Add(series2);
            series.Series.Add(series3);

            FarPoint.Win.Chart.YPlotArea plotArea = new FarPoint.Win.Chart.YPlotArea();
            plotArea.Location = new System.Drawing.PointF(0.2f, 0.2f);
            plotArea.Size = new System.Drawing.SizeF(0.6f, 0.6f);
            plotArea.Series.Add(series);


            FarPoint.Win.Chart.ChartModel model = new FarPoint.Win.Chart.ChartModel();
            model.PlotAreas.Add(plotArea);

            LabelArea label = new LabelArea();
            label.Text = "Sales History- 12 Rolling months";
            label.Location = new PointF(0.5f, 0.02f);
            label.AlignmentX = 0.5f;
            label.AlignmentY = 0.0f;

            LegendArea legend = new LegendArea();
            legend.Location = new PointF(0.98f, 0.5f);
            legend.AlignmentX = 1.0f;
            legend.AlignmentY = 0.5f;

            model.LabelAreas.Add(label);
            model.LegendAreas.Add(legend);
            fpChart1.Model = model;
        }
    }
}